import re, glob

path = 'C:\Program Files (x86)\Microsoft Games\Age of Empires II\Games\Forgotten Empires\Script.RM\old\*'

fnames = glob.glob(path)

for fname in fnames:
	
	f = open(fname)
	
	contents = ''.join(f.readlines())
	
	segments = re.findall('create_object (?:BOAR|JAVELINA)[^\{]+{[^\}]+\}', contents)
	
	for segment in segments:
		
		m = re.search('number_of_groups [\d]+', segment)
		
		if not m:
			modified = segment.replace('}', '\tnumber_of_groups 2\n}')
		
		else:
			n_groups = m.group(0)
			
			groups = n_groups.split()[1]
			
			double_n_groups = n_groups.replace(groups, '%d' % (2 * int(groups)) )
			
			modified = segment.replace(n_groups, double_n_groups)
		
		modified = modified.replace('}', '\tresource_delta -160\n}')
		
		print( '%s\n%s' % (segment, modified) )
		
		contents = contents.replace( segment, modified )
		
	f.close()
	
	fname_new = fname.replace('\\old\\', '\\')
	
	if not segments:
		print ('no boars in %s... copying without modification' % (fname) )
	
	else:
		m = re.search('(v|VOL|b)([\d]+).rms', fname)
		
		if not m:
			fname_new = fname_new.replace('.rms', '_v2.rms')
		else:
			version_str = m.group(0)
			version = m.group(2)
			
			version_str_new = version_str.replace(version, '%d' % (int(version) + 1))
			
			fname_new = fname_new.replace( version_str, version_str_new )
	
	print ( '%s\n%s' % (fname, fname_new) )
	
	f = open(fname_new, 'w')
	
	f.write(contents)
		
	f.close()
